<?php
    use artbox\core\components\SeoComponent;
    use frontend\components\UrlManager;
    use common\models\Alias;
    
    $params = array_merge(
        require( __DIR__ . '/../../common/config/params.php' ),
        require( __DIR__ . '/../../common/config/params-local.php' ),
        require( __DIR__ . '/params.php' ),
        require( __DIR__ . '/params-local.php' )
    );

    $send="Отправить";
    $request1='Ваша заявка';

    if(strpos($_SERVER['REQUEST_URI'],"/ua")!==false) {
	    $send = "Вiдправити";

    }


    
    return [
        'id'                  => 'app-frontend',
        'homeUrl'             => '/',
        'basePath'            => dirname(__DIR__),
        'bootstrap'           => [ 'log' ],
        'controllerNamespace' => 'frontend\controllers',
        'container' => [
            'singletons' => [
                'artbox\core\services\Languages' =>'artbox\core\services\Languages',
            ]
        ],
        'modules'             => [
            'feedback' => [
                'class'      => 'artbox\core\forms\Module',
                'activeRecord' => "artbox\core\models\Feedback",
                'attributes' => [
                    'name',
                    'email',
                    'message',
                ],
                'rules'           => [
                    [
                        [ 'email' ],
                        'email',
                    ],
                    [
                        [
                            'email',
                            'name',
                            'message',
                        ],
                        'required',
                    ],
                ],
                'labels'          => [
                    'email'   => 'Email',
                    'name'    => 'Name',
                    'message' => 'You question',
                ],
                'inputOptions'    => [
                    'message' => [
                        'type'    => 'textarea',
                        'options' => [],
                    ],
                ],
                'scenario'        => 'feedback',
                'sendEmail'       => false,
                'formId'          => 'feedback-form',
                'ajax'            => true,
                'successCallback' => 'function (data) {
                 document.getElementById("feedback-form").reset();
                              $(".close").click();
                              if (data.status == "success"){
                              document.getElementById("feedback-form").reset();
                              $(".success_").animate({opacity: 1, top: \'40\'}, 200).addClass("done_");
                              setTimeout(function(){$(".success_").animate({opacity: 0, top: \'0\'}, 200,function(){
                                  $(this).removeClass("done_");
                              })}, 4000);
                               var data = $("#feedback-form").data(\'yiiActiveForm\');
                              data.validated = false;
                              }
                    }',
            ],

            'contact' => [
                'class'      => 'artbox\core\forms\Module',
                'activeRecord' => "common\models\Feedback",
                'templateForm' => '<div class="row">{form}</div>',
                'attributes' => [
                    'name',
                    'phone',
	                'email',
                    'message',


                ],
                'rules'      => [
                	[
                		['email'],
		                'email'
	                ],
                    [
                        [ 'message' ],
                        'text',
                    ],
                    [
                        [
							'email',
                            'name',
                            'phone',
                        ],
                        'required',

                    ],
	                [
	                	['name','phone'],
		                'string'
	                ],

                ],
                'labels'     => [
                    'message'           => 'Message',
                    'name'              => 'Name',
                    'phone'             => 'Phone',
	                'email'             => 'Email'
                ],

                'inputOptions'    => [
                    'name'   => [
                      'template' => '<div class="col-sm-12">{input}</div>'
                    ],
	                'email'   => [

		                'template'          =>'<div class="col-sm-12">{input}</div>',

		            ],
	                'message' => [
		                'type'    => 'textarea',
		                'options' => [],
		                'template' => '<div class="input-wr">{input}</div>'
	                ],
                    'phone'   => [
                        'template' => '<div class="col-sm-12">{input}</div>'
                    ],

                ],
                'buttonTemplate'  => '<div class="button-wr">{button}</div>',

                'buttonContent'   => $send,
                'sendEmail'       => true,
	            'email'           => 'buh.artplast@gmail.com',
	            'subject'         => 'Новая заявка',
                'ajax'            => true,
                'formId'          => 'contact-form',
                'scenario'        => 'default',
                'successCallback' => 'function (data) {
                             document.getElementById("contact-form").reset();
                             
                                var pos = ($(window).scrollTop()) + 30;
                                
                               $(".forms_").animate({opacity: 0, top: "0"}, 200,function(){
            $(this).css("display", "none");
        });
        setTimeout(function () {
            $("#overlay").fadeIn(400);
          
                   if(data.status=="success"){
             $("#success_form").css("display", "block").animate({opacity: 1, top: pos}, 700);
            }
            else{
             $("#success_form.error_form").css("display", "block").animate({opacity: 1, top: pos}, 700);
            }
        
        
        
        
        
        
        },400)}',

            ],
	        'request_1' => [
		        'class'      => 'artbox\core\forms\Module',
		        'activeRecord' => "common\models\Feedback",
		        'templateForm' => '<div class="row">{form}</div>',
		        'attributes' => [
			        'name',
			        'phone',
			        'message',

		        ],
		        'rules'      => [
			        [
				        [ 'message' ],
				        'text',
			        ],
			        [
				        [
					        'name',
					        'phone',
				        ],
				        'required',

			        ],
			        [['name','phone'],
				        'string'
				        ],
		        ],
		        'labels'     => [
			        'message'   => 'Message',
			        'name'    => 'Name',
			        'phone'   => 'Phone'
		        ],

		        'inputOptions'    => [
			        'name'   => [
				        'template' => '<div class="col-sm-12">{input}</div>'
			        ],
			        'message' => [
				        'type'    => 'textarea',
				        'options' => [],
				        'template' => '<div class="input-wr">{input}</div>'
			        ],
			        'phone'   => [
				        'template' => '<div class="col-sm-12">{input}</div>'
			        ],

		        ],
		        'buttonTemplate'  => '<div class="button-wr">{button}</div>',
		        'buttonContent'   => $send,
		        'sendEmail'       => true,
		        'email'           => 'buh.artplast@gmail.com',
		        'subject'         => 'Новая заявка',
		        'ajax'            => true,
		        'formId'          => 'contact-form',
		        'scenario'        => 'callback',
		        'successCallback' => 'function (data) {
                             document.getElementById("contact-form").reset();
                               
                              
                                var pos = ($(window).scrollTop()) + 30;
                                
                               $(".forms_").animate({opacity: 0, top: "0"}, 200,function(){
            $(this).css("display", "none");
        });
        setTimeout(function () {
            $("#overlay").fadeIn(400);
            
            if(data.status=="success"){
             $("#success_form").css("display", "block").animate({opacity: 1, top: pos}, 700);
            }
            else{
             $("#success_form.error_form").css("display", "block").animate({opacity: 1, top: pos}, 700);
            }
            
           
       
       
        },400)}',

	        ],
	        'request_2' => [
		        'class'      => 'artbox\core\forms\Module',
		        'activeRecord' => "common\models\Feedback",
		        'templateForm' => '<div class="row">{form}</div>',
		        'attributes' => [
			        'name',
			        'phone',
			        'message',

		        ],
		        'rules'      => [
			        [
				        [ 'message' ],
				        'text',
			        ],
			        [
				        [

					        'name',
					        'phone',
				        ],
				        'required',

			        ],
			        [
			        	['name','phone'],
				        'string'
			        ],
		        ],
		        'labels'     => [
			        'message'   => 'Message',
			        'name'    => 'Name',
			        'phone'   => 'Phone'
		        ],

		        'inputOptions'    => [
			        'name'   => [
				        'template' => '<div class="col-sm-12">{input}</div>',
				        'labelOptions' => [ 'class' => 'callback_text_input_label'],


			        ],
			        'message' => [
				        'type'    => 'textarea',
				        'options' => [],
				        'template' => '<div class="input-wr">{input}</div>'
			        ],
			        'phone'   => [
				        'template' => '<div class="col-sm-12">{input}</div>',
				        'labelOptions' => [ 'class' => 'callback_text_input_label' ]
			        ],

		        ],
		        'buttonTemplate'  => '<div class="button-wr">{button}</div>',

		        'buttonContent'   => $send,
		        'sendEmail'       => true,
		        'email'           => 'buh.artplast@gmail.com',
		        'subject'         => 'Новая заявка',
		        'ajax'            => true,
		        'formId'          => 'contact-form',
		        'scenario'        => 'callback',
		        'successCallback' => 'function (data) {
                             document.getElementById("contact-form").reset();
                               
                    
                                var pos = ($(window).scrollTop()) + 30;
                                
                               $(".forms_").animate({opacity: 0, top: "0"}, 200,function(){
            $(this).css("display", "none");
        });
        setTimeout(function () {
            $("#overlay").fadeIn(400);
            
            if(data.status=="success"){
             $("#success_form").css("display", "block").animate({opacity: 1, top: pos}, 700);
            }
            else{
             $("#success_form.error_form").css("display", "block").animate({opacity: 1, top: pos}, 700);
            }
            
           
       
       
        },400)}',

	        ],



        ],
        'components'          => [

            'request'      => [
                'csrfParam' => '_csrf-frontend',
                'baseUrl'   => '',
            ],
            'user'         => [
                'identityClass'   => 'common\models\User',
                'enableAutoLogin' => true,
                'identityCookie'  => [
                    'name'     => '_identity-frontend',
                    'httpOnly' => true,
                ],
            ],
            'session'      => [
                // this is the name of the session cookie used for login on the frontend
                'name' => 'advanced-frontend',
            ],
            'log'          => [
                'traceLevel' => YII_DEBUG ? 3 : 0,
                'targets'    => [
                    [
                        'class'  => 'yii\log\FileTarget',
                        'levels' => [
                            'error',
                            'warning',
                        ],
                    ],
                ],
            ],
            'seo'                => [
                'class'      => SeoComponent::className(),


            ],
            'errorHandler' => [
                'errorAction' => 'site/error',
            ],
            'urlManager'   => [
                'class'           => UrlManager::className(),
                'baseUrl'         => '/',
                'enablePrettyUrl' => true,
                'showScriptName'  => false,
                'rules'           => [],
                'hideDefaultLanguagePrefix' => true,
            ],
        ],
        
        'params'              => $params,
    ];
