<?php
    
    /**
     * @var View           $this
     * @var string         $content
     * @var SeoComponent   $seo
     * @var User           $user
     * @var PageCategory[] $pageCategories
     * @var \artbox\core\forms\Module $module;
     */
use artbox\core\components\SeoComponent;
use artbox\core\models\PageCategory;
use artbox\core\models\User;
use yii\bootstrap\Html;
use yii\web\View;
use frontend\widgets\LanguageWidget;
use common\models\Settings;



$seo=\Yii::$app->get('seo');
\frontend\assets\AppAsset::register($this);

$send="Отправить";
$request1='Ваша заявка';
if(strpos($_SERVER['REQUEST_URI'],"/ua")!==false) {
	$send = "Вiдправити";


}

$settings = Settings::getInstance();

$module=\Yii::$app->getModule('contact');




$settings = Settings::getInstance();
?>


<?php $this->beginPage() ?>
  <!DOCTYPE html>
  <html lang="<?= \Yii::$app->language ?>">
    <head>
      <meta charset="<?= \Yii::$app->charset ?>">
        <link href="https://fonts.googleapis.com/css?family=Ubuntu:400,500,700&amp;subset=cyrillic,cyrillic-ext,latin-ext" rel="stylesheet">
        <link type="image/x-icon" href="/images/favicon.ico" rel="icon">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <?= Html::csrfMetaTags() ?>
      <title><?= Html::encode($seo->title) ?></title>
        <?php $this->head() ?>
      <!-- Google Tag Manager -->
      <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
                  new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
              j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
              'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
          })(window,document,'script','dataLayer','GTM-MM98QCC');</script>
      <!-- End Google Tag Manager -->
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=UA-150418728-1"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());

            gtag('config', 'UA-150418728-1');
        </script>
    </head>
    <body>
      <!-- Google Tag Manager (noscript) -->
      <noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-MM98QCC"
          height="0" width="0"></iframe></noscript>
      <!-- End Google Tag Manager (noscript) -->
      <?php $this->beginBody() ?>
    <header id="header_" class="section-box-header">

        <div class="section-header">
            <div class="container">
                <div class="row">
                    <div class="col-xs-6 col-sm-1 col-md-2 logo-wr">
                        <a href="/">
                            <img src="/images/logo.png" alt="">
                        </a>
                    </div>
                    <div class="menu-header">
                        <ul>
                            <li><a href="#about" data-anchor="section-about-product"><?=\Yii::t('app','About Product');?></a></li>
                            <li><a href="#advantages" data-anchor="section-advantages"><?=\Yii::t('app','Advantages');?></a></li>
                            <li><a href="#trust" data-anchor="section-trusted"><?=\Yii::t('app','Believe Us');?></a></li>
                            <li><a href="#contacts" data-anchor="section-map"><?=\Yii::t('app','Contacts');?></a></li>
                        </ul>
                    </div>
                    <div class="mail-header">
                        <table cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td>
                                    <div class="sep-lang">

									    <?=
									    LanguageWidget::widget([
										    'layoutCondition'   => LanguageWidget::LAYOUT_UL,
										    'layoutAttributes'  =>[
											    'a' =>[
												    'activeClass'  => 'sep-lang-a'
											    ],
										    ],
									    ]);

									    ?>


                                    </div>
                                    <a class="mail-link_"
									    <?=(isset($settings->email))
										    ?' href="mailto:'.$settings->email.'"'
										    :'';
									    ?>
                                    >
									    <?=($settings->email??'')?>
                                    </a>
                                </td>
                            </tr>
                        </table>

                    </div>
                    <div class="phone-header">
                        <table cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td>
								    <?=(isset($settings->phone))?Html::a($settings->phone,
									    'tel:'.$settings->phone):'';?>
								    <?=(isset($settings->phone2))?Html::a($settings->phone2,
									    'tel:'.$settings->phone2):'';?>
                                </td>
                            </tr>
                        </table>
                        <span class="modal-link" data-event="call" data-form="callback" ><?=\Yii::t('app','Call me!');?></span>
                    </div>
                </div>
            </div>
        </div>


        <div class="mobile-menu-hidden" style="display: none;">
            <div class="close-lang-mob">
                <div class="close-mobile-menu"></div>
            </div>

            <div class="mobi-menu-primary">
                <ul class="mobi-menu-primary-cab">
                    <li>
                        <a href="#">
                            <i class="icon-menu-mob icon-menu-mob-1"></i>
                            <p><?=\Yii::t('app','Personal office');?></p>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <i class="icon-menu-mob icon-menu-mob-2"></i>
                            <p><?=\Yii::t('app','Preferred');?></p>
                        </a>
                    </li>

                    <li class="hidden-tablet-850">
                        <a href="#">
                            <i class="icon-menu-mob icon-menu-mob-3"></i>
                            <p><?=\Yii::t('app','Compare');?></p>
                        </a>
                    </li>
                </ul>
                <ul class="mobi-menu-primary-ul">
                    <li><a href="/ru/site/page/kontakty"><?=\Yii::t('app','Contacts');?></a></li>
                    <li><a href="/ru/site/page/oplata-i-dostavka"><?=\Yii::t('app','Delivery and payment');?></a></li>
                    <li><a href="/ru/site/page/pomosch"><?=\Yii::t('app','Support');?></a></li>
                    <li><a href="/ru/brand/index" class=""><?=\Yii::t('app','Brands');?></a></li>
                </ul>
            </div>
        </div>

    </header>


          <?= $content ?>






    <footer id="footer_" class="section-box-footer" >



        <div class="section-box studio_footer">
            <div class="container">
                <div class="row">
                    <div class="hidden visible_all col-xs-12 col-sm-6">
                        <div class="copyright">© 2018, ArtPlast </div>
                    </div>
                    <div class="col-xs-12 col-sm-6">
                        <div class="artweb-wr">
                            <a target="_blank" href="http://artweb.ua/"><?=\Yii::t('app','Creating sites');?></a>
                            <div class="artweb-img">
                                <a target="_blank" href="http://artweb.ua/">
                                    <div class="ico-spr ico-artweb-logo"></div>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div style="display: none;" class="btn_up"></div>
<!--        <div style="display: none" class="btn_call_close"></div>-->
    </footer>


    <div id="overlay" style="display: none;"></div>
    <div id="overlay-catalog" style="display: none;"></div>
    <div id="buy-form" class="forms_" style="display: none;">
        <span id="modal_close"></span>

        <div class="forms-wrapp">
            <div class="forms-title"><?=\Yii::t('app','Your request1');?></div>
		    <?php echo $module->renderForm($this); ?>
        </div>
    </div>
    <div id="callback" class="forms_" style="display: none;">
        <span id="modal_close"></span>
        <div class="forms-wrapp">
            <div class="forms-title"><?= \Yii::t('app','Callback');?></div>
		    <?php $module2=\Yii::$app->getModule('request_2');
		    echo $module2->renderForm($this);
		    ?>


        </div>


    </div>

    <div id="success_form" style="display: none;">
        <span id="modal_close"></span>
        <div class="txt-success"><span><?=\Yii::t('app','Thanks for request');?></span>
            <p><?=\Yii::t('app','We call you later');?></p></div>
    </div>

    <div id="success_form" class="error_form" style="display: none;">
        <span id="modal_close"></span>
        <div class="txt-success"><span><?=\Yii::t('app','Message wasn`t send');?></span>
            <p><?=\Yii::t('app','Fill tel/name');?></p></div>
    </div>
<?php

if (!isset($_COOKIE['sowCookieModal'])) {

	?>
    <div class="cookie-modal">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <div class="cokeis-close"></div>
                    <p>
						<?php
						echo \Yii::t('app', 'cookie-text')
						?>
                    </p>
                </div>
            </div>
        </div>
    </div>

	<?php
}
    ?>

    <div style="display: none" class="btn_call">
        <div></div>
    </div>
    <div class="call-mobile-wr" style="display: none;">
       <div class="call-mobile">
            <div class="call-mobile-td">
                <div class="button-call-mob">
                    <a class="button-call_" href="tel:+380671074237">067 107-42-37</a>
                </div>
                <div class="button-call-mob">
                    <a class="button-call_" href="tel:+380660784924">066 078-49-24</a>
                </div>
            </div>
        </div>
    </div>

    <?php $this->endBody() ?>
    </body>
  </html>
<?php $this->endPage() ?>